Aol service assistant latest version error

Asked By 30 points N/A Posted on -
qa-featured

I have the 27" iMac with Intel Core i5 and OSx Mountain Lion. I downloaded AOL Service Assistant latest version from the Apple website. I'm having an error of "AOL service assistant is out of date and needs to be upgraded". What will I upgrade if I already have the latest version?

SHARE
Answered By 60 points N/A #141570

Aol service assistant latest version error

qa-featured

Hi,

As you mentioned you have the latest version of the AOL service assistant and it is telling you to upgrade, it is very weird but before telling it weird please check if you really have the latest version and specification for the application matches your system requirement. You can get the latest version from the below link, please check the system requirement :

http://daol.aol.com/software/mac

If the error still exist please feel free to contact AOL support.

Thanks.

Login/Register to Answer

Related Questions